Subject: Re: [OPSAWG] WG consensus call for the IANA early assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04

From: Kent Watsen <[email-masked]>
Date: Thu, 25 Aug 2016 17:27:30 +0000

Why is an early assignment being requested?   I think it unusual, especially for a draft that was just adopted, and no justification is given for why it’s needed other than “to assist with interoperable development”...

Kent

From: OPSAWG <[email-masked]> on behalf of Zhoutianran <[email-masked]>
Date: Tuesday, August 23, 2016 at 5:46 AM
To: Eliot Lear <[email-masked]>, Warren Kumari <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [OPSAWG] WG consensus call for the IANA early assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04

Hi All,

Since the authors of the draft-ietf-opsawg-mud-00 asked for the early assignment for various registries from IANA, I would like to ask the WG consensus.

There will be 1 week since today. You can express your support or objection.

If there is no objection, I would like to request from the WG.

The following is a list of IANA considerations copied from the draft.

Best,
Tianran

-------------------------------------

15.  IANA Considerations

15.1.  DHCPv4 and DHCPv6 Options

   IANA is requested to allocated the DHCPv4 and v6 options as specified
   in Section 9.

15.2.  PKIX Extensions

   The IANA is requested to assign a value for id-pe-mud-uri in the "SMI
   Security for PKIX Certificate Extension" Registry.  Its use is
   specified in Section 10.

15.3.  Well Known URI Suffix

   The IANA is requested to register the URL suffix of "mud" as follows:

   o URI Suffix: "mud" o Specification documents: this document o
   Related information: n/a

15.4.  MIME Media-type Registration for MUD files

   The following media-type is defined for transfer of MUD file:

   o Type name: application
   o Subtype name: mud+json
   o Required parameters: n/a
   o Optional parameters: n/a
   o Encoding considerations: 8bit; application/mud+json values
     are represented as a JSON object; UTF-8 encoding SHOULD be
     employed.
   o Security considerations: See {{secon}} of this document.
   o Interoperability considerations: n/a
   o Published specification: this document
   o Applications that use this media type: MUD controllers as
     specified by this document.
   o Fragment identifier considerations: n/a
   o Additional information:

       Magic number(s): n/a
       File extension(s): n/a
       Macintosh file type code(s): n/a

   o Person & email address to contact for further information:
     Eliot Lear <[email-masked]>, Ralph Droms <[email-masked]>
   o Intended usage: COMMON
   o Restrictions on usage: none

   o Author: Eliot Lear <[email-masked]>, Ralph Droms <[email-masked]>
   o Change controller: IESG
   o Provisional registration? (standards tree only): No.

15.5.  LLDP IANA TLV Subtype Registry

   IANA is requested to create a new registry for IANA Link Layer
   Discovery Protocol (LLDP) TLV subtype values.  The recommended policy
   for this registry is Expert Review.  The maximum number of entries in
   the registry is 256.

   IANA is required to populate the initial registry with the value:

   LLDP subtype value = 1

   Description = the Manufacturer Usage Description (MUD) Uniform
   Resource Locator (URL)

   Reference = < this document >

From: Eliot Lear [mailto:[email-masked]]
Sent: Monday, August 22, 2016 7:04 PM
To: Warren Kumari
Cc: Zhoutianran; [email-masked]; [email-masked]
Subject: Re: Adoption poll for draft-lear-ietf-netmod-mud-04

Hi Warren, Tianran, and all,

On 8/17/16 4:17 PM, Warren Kumari wrote:

Second, and hopefully not that more of a controversy, I would like to
request early IANA assignments to assist with interoperable
development.  These would be listed in the IANA considerations section
of the current draft.  If we need a WG draft to make this happen, that's
fine with me, but we should do a quick rev after the assignments.

I believe that this *can* be accomplished without it being a WG doc, but it is better / cleaner / easier if we make it a WG doc and then ask for early assistant. We are fine with lots of revisions / it being submitted and then quickly revised.

Just following up on this point: we'd like to request early assignment from IANA for the various registries.  Does that go through the chairs or the authors at this point?

Thanks,

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Thu, 25 Aug 2016 20:36:18 +0200

Hi Kent,

We're doing some open source and would like to make it easier for those
who are coding to have to do a little less REcoding.  I doubt very much
we're going to see much change in the content or format the URL or the
option.  That's what most of the requests are for.  Where I expect we
will see change is in the content of the YANG file.  There we have the
option to bump the version # in the URL if we think there has been any
real uptake of earlier versions.

Fair enough?

Eliot

On 8/25/16 7:27 PM, Kent Watsen wrote:
>
>  
>
> Why is an early assignment being requested?   I think it unusual,
> especially for a draft that was just adopted, and no justification is
> given for why it’s needed other than “to assist with interoperable
> development”...
>
>  
>
> Kent
>
>  
>
> *From: *OPSAWG <[email-masked]> on behalf of Zhoutianran
> <[email-masked]>
> *Date: *Tuesday, August 23, 2016 at 5:46 AM
> *To: *Eliot Lear <[email-masked]>, Warren Kumari <[email-masked]>
> *Cc: *"[email-masked]" <[email-masked]>, "[email-masked]"
> <[email-masked]>
> *Subject: *[OPSAWG] WG consensus call for the IANA early assignment
> //RE: Adoption poll for draft-lear-ietf-netmod-mud-04
>
>  
>
> Hi All,
>
>  
>
> Since the authors of the draft-ietf-opsawg-mud-00 asked for the early
> assignment for various registries from IANA, I would like to ask the
> WG consensus.
>
>  
>
> *From:*Eliot Lear [mailto:[email-masked]]
> *Sent:* Monday, August 22, 2016 7:04 PM
> *To:* Warren Kumari
> *Cc:* Zhoutianran; [email-masked]; [email-masked]
> *Subject:* Re: Adoption poll for draft-lear-ietf-netmod-mud-04
>
>  
>
>     I believe that this *can* be accomplished without it being a WG
>     doc, but it is better / cleaner / easier if we make it a WG doc
>     and then ask for early assistant. We are fine with lots of
>     revisions / it being submitted and then quickly revised.
>
>
> Just following up on this point: we'd like to request early assignment
> from IANA for the various registries.  Does that go through the chairs
> or the authors at this point?
>
> Thanks,
>
> Eliot
>

---

From: Kent Watsen <[email-masked]>
Date: Thu, 25 Aug 2016 20:01:34 +0000

I don’t know.  It seems that every draft could make similar claims, and yet having IANA make early assignments all the time wouldn’t be good.   I don’t see why this draft should get a pass.   Is there any documentation detailing criteria for early assignments?

Kent

From: Eliot Lear <[email-masked]>
Date: Thursday, August 25, 2016 at 2:36 PM
To: Kent Watsen <[email-masked]>, Zhoutianran <[email-masked]>, Warren Kumari <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [OPSAWG] WG consensus call for the IANA early assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04

Hi Kent,

We're doing some open source and would like to make it easier for those who are coding to have to do a little less REcoding.  I doubt very much we're going to see much change in the content or format the URL or the option.  That's what most of the requests are for.  Where I expect we will see change is in the content of the YANG file.  There we have the option to bump the version # in the URL if we think there has been any real uptake of earlier versions.

Fair enough?

Eliot

Kent

From: OPSAWG <[email-masked]><mailto:[email-masked]> on behalf of Zhoutianran <[email-masked]><mailto:[email-masked]>
Date: Tuesday, August 23, 2016 at 5:46 AM
To: Eliot Lear <[email-masked]><mailto:[email-masked]>, Warren Kumari <[email-masked]><mailto:[email-masked]>
Cc: "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>
Subject: [OPSAWG] WG consensus call for the IANA early assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04

Hi All,

Best,
Tianran

15.  IANA Considerations

15.2.  PKIX Extensions

   o Type name: application
   o Subtype name: mud+json

       Magic number(s): n/a
       File extension(s): n/a

   o Person & email address to contact for further information:
     Eliot Lear <[email-masked]><mailto:[email-masked]>, Ralph Droms <[email-masked]><mailto:[email-masked]>
   o Intended usage: COMMON
   o Restrictions on usage: none

   o Author: Eliot Lear <[email-masked]><mailto:[email-masked]>, Ralph Droms <[email-masked]><mailto:[email-masked]>
   o Change controller: IESG
   o Provisional registration? (standards tree only): No.

   LLDP subtype value = 1

From: Eliot Lear [mailto:[email-masked]]
Sent: Monday, August 22, 2016 7:04 PM
To: Warren Kumari
Cc: Zhoutianran; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Adoption poll for draft-lear-ietf-netmod-mud-04

Thanks,

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Thu, 25 Aug 2016 22:49:04 +0200

Yes, there is.  And Early assignment is not an unusual request.  See RFC
7120.

On 8/25/16 10:01 PM, Kent Watsen wrote:
>
>  
>
> I don’t know.  It seems that every draft could make similar claims,
> and yet having IANA make early assignments all the time wouldn’t be
> good.   I don’t see why this draft should get a pass.   Is there any
> documentation detailing criteria for early assignments?
>
>  
>
> Kent
>
>  
>
> *From: *Eliot Lear <[email-masked]>
> *Date: *Thursday, August 25, 2016 at 2:36 PM
> *To: *Kent Watsen <[email-masked]>, Zhoutianran
> <[email-masked]>, Warren Kumari <[email-masked]>
> *Subject: *Re: [OPSAWG] WG consensus call for the IANA early
> assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04
>
>  
>
> Hi Kent,
>
> We're doing some open source and would like to make it easier for
> those who are coding to have to do a little less REcoding.  I doubt
> very much we're going to see much change in the content or format the
> URL or the option.  That's what most of the requests are for.  Where I
> expect we will see change is in the content of the YANG file.  There
> we have the option to bump the version # in the URL if we think there
> has been any real uptake of earlier versions.
>
> Fair enough?
>
> Eliot
>
>  
>
>     especially for a draft that was just adopted, and no justification
>     is given for why it’s needed other than “to assist with
>     interoperable development”...
>
>      
>
>     Kent
>
>      
>
>     *From: *OPSAWG <[email-masked]>
>     <mailto:[email-masked]> on behalf of Zhoutianran
>     <[email-masked]> <mailto:[email-masked]>
>     *To: *Eliot Lear <[email-masked]> <mailto:[email-masked]>, Warren
>     Kumari <[email-masked]> <mailto:[email-masked]>
>     *Cc: *"[email-masked]" <mailto:[email-masked]> <[email-masked]>
>     <mailto:[email-masked]>, "[email-masked]"
>     <mailto:[email-masked]> <[email-masked]>
>     <mailto:[email-masked]>
>     *Subject: *[OPSAWG] WG consensus call for the IANA early
>     assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04
>
>      
>
>     Hi All,
>
>      
>
>     Since the authors of the draft-ietf-opsawg-mud-00 asked for the
>     early assignment for various registries from IANA, I would like to
>     ask the WG consensus.
>
>      
>
>          Eliot Lear <[email-masked]> <mailto:[email-masked]>, Ralph
>     Droms <[email-masked]> <mailto:[email-masked]>
>
>        o Intended usage: COMMON
>
>        o Author: Eliot Lear <[email-masked]> <mailto:[email-masked]>,
>     Ralph Droms <[email-masked]> <mailto:[email-masked]>
>
>     *Cc:* Zhoutianran; [email-masked] <mailto:[email-masked]>;
>     [email-masked] <mailto:[email-masked]>
>         I believe that this *can* be accomplished without it being a
>         WG doc, but it is better / cleaner / easier if we make it a WG
>         doc and then ask for early assistant. We are fine with lots of
>     Just following up on this point: we'd like to request early
>     assignment from IANA for the various registries.  Does that go
>     through the chairs or the authors at this point?
>
>     Thanks,
>
>     Eliot
>
>  
>

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Mon, 29 Aug 2016 13:58:09 +0200

So, do you want early assignments for all the registries that
are listed under your IANA considerations?

There are quite a few as far as I can tell.

Bert

On 25/08/16 20:36, Eliot Lear wrote:
> Hi Kent,
>
> We're doing some open source and would like to make it easier for those who are coding to have to do a little less REcoding.  I
> doubt very much we're going to see much change in the content or format the URL or the option.  That's what most of the requests are
> for.  Where I expect we will see change is in the content of the YANG file.  There we have the option to bump the version # in the
> URL if we think there has been any real uptake of earlier versions.
>
> Fair enough?
>
> Eliot
>
>
>> Why is an early assignment being requested?   I think it unusual, especially for a draft that was just adopted, and no
>> justification is given for why it’s needed other than “to assist with interoperable development”...
>>
>>
>>
>> Kent
>>
>>
>>
>> *From: *OPSAWG <[email-masked]> on behalf of Zhoutianran <[email-masked]>
>> *Cc: *"[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
>> *Subject: *[OPSAWG] WG consensus call for the IANA early assignment //RE: Adoption poll for draft-lear-ietf-netmod-mud-04
>>
>>
>>
>> Hi All,
>>
>>
>>
>>     I believe that this *can* be accomplished without it being a WG doc, but it is better / cleaner / easier if we make it a WG
>>     doc and then ask for early assistant. We are fine with lots of revisions / it being submitted and then quickly revised.
>>
>>
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>

---

From: Eliot Lear <[email-masked]>
Date: Mon, 29 Aug 2016 14:36:56 +0200

Hi Bert,

> There are quite a few as far as I can tell.

All but one of them are simply a way to emit the URL.  Unless we really
think the URL is going to change, and there isn't that much there to
change, there's not much risk.  I don't think it's a big deal to wait on
the media type, and I could envision some changes to the model.  In fact
I have one proposal I'm pondering.

Eliot

>> those who are coding to have to do a little less REcoding.  I
>> doubt very much we're going to see much change in the content or
>> format the URL or the option.  That's what most of the requests are
>> for.  Where I expect we will see change is in the content of the YANG
>> file.  There we have the option to bump the version # in the
>>> especially for a draft that was just adopted, and no
>>> doc, but it is better / cleaner / easier if we make it a WG
>>> assignment from IANA for the various registries.  Does that go through
>>> the chairs or the authors at this point?
>>>
>>> Thanks,
>>>
>>> Eliot
>>>
>>
>>
>>

---

From: Warren Kumari <[email-masked]>
Date: Mon, 29 Aug 2016 16:39:11 -0400

... and just as a reminder to the WG, early allocations are explicitly
temporary, and are marked in the registry as such.

This isn't burning a critical resource forever - the allocations
spaces are not very rare, and they can be reclaimed if needed...

W

On Thu, Aug 25, 2016 at 4:49 PM, Eliot Lear <[email-masked]> wrote:
> I don’t know.  It seems that every draft could make similar claims, and yet
> having IANA make early assignments all the time wouldn’t be good.   I don’t
> see why this draft should get a pass.   Is there any documentation detailing
> criteria for early assignments?
>
>
>
> Kent
>
>
>
> Subject: Re: [OPSAWG] WG consensus call for the IANA early assignment //RE:
> Adoption poll for draft-lear-ietf-netmod-mud-04
>
>
>
> Hi Kent,
>
> We're doing some open source and would like to make it easier for those who
> are coding to have to do a little less REcoding.  I doubt very much we're
> going to see much change in the content or format the URL or the option.
> That's what most of the requests are for.  Where I expect we will see change
> is in the content of the YANG file.  There we have the option to bump the
> version # in the URL if we think there has been any real uptake of earlier
> versions.
>
> Fair enough?
>
> Eliot
>
>
>
> Why is an early assignment being requested?   I think it unusual, especially
> for a draft that was just adopted, and no justification is given for why
> it’s needed other than “to assist with interoperable development”...
>
>
>
> Kent
>
>
>
> Subject: [OPSAWG] WG consensus call for the IANA early assignment //RE:
> Adoption poll for draft-lear-ietf-netmod-mud-04
>
>
>
> Hi All,
>
>
>
> assignment for various registries from IANA, I would like to ask the WG
> consensus.
>
>
>
> I believe that this *can* be accomplished without it being a WG doc, but it
> is better / cleaner / easier if we make it a WG doc and then ask for early
> assistant. We are fine with lots of revisions / it being submitted and then
> quickly revised.
>
>
> Just following up on this point: we'd like to request early assignment from
> IANA for the various registries.  Does that go through the chairs or the
> authors at this point?
>
> Thanks,
>
> Eliot
>
>
>
>

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Kent Watsen <[email-masked]>
Date: Tue, 30 Aug 2016 13:56:03 +0000

I didn’t know that, thanks for the clarification.  I retract my comment.

But I wonder then, if they are temporary and reclaimed, will Elliot’s goal be achieved?  - or is it the case that the temporary assignments can become permanent through the RFC process? - an optimistic long-term allocation?

Thanks,
Kent

On 8/29/16, 4:39 PM, "Warren Kumari" <[email-masked]> wrote:

    
    W

---

From: Zhoutianran <[email-masked]>
Date: Wed, 31 Aug 2016 01:47:33 +0000

Hi Kent,

Here are some words copied from RFC 7120. I think they can address your question.

Request:
6. IANA makes an allocation from the appropriate registry, marking
it as "Temporary", valid for a period of one year from the date
of allocation. The date of first allocation and the date of
expiry are also recorded in the registry and made visible to the
public.

Follow up:
If the document progresses to the point at which IANA normally makes
code point allocations, it is the responsibility of the authors and
the WG chairs to remind IANA that there were early allocations and of
the code point values allocated in the IANA Considerations section of
the RFC-to-be. Allocation is then just a matter of removing the
"Temporary" tag from the allocation description.

Expiry:
If an early allocation expires before the document progresses to the point where
IANA normally makes allocations, the authors and WG chairs may repeat
the process described in Section 3.1 to request renewal of the code
points. At most, one renewal request may be made; thus, authors
should choose carefully when the original request is to be made.

If a follow-up request is not made, or the document fails to progress
to an RFC, the assignment will remain visible in the registry, but
the temporary assignment will be shown to have expired as indicated
by the expiry date. The WG chairs are responsible for informing IANA
that the expired assignments are not required and that the code
points are to be marked "deprecated".

A deprecated code point is not marked as allocated for use as
described in any document (that is, it is not allocated) and is not
available for allocation in a future document. The WG chairs may
inform IANA that a deprecated code point can be completely
de-allocated (i.e., made available for new allocations) at any time
after it has been deprecated.

Regards,
Tianran

> -----Original Message-----
> From: Kent Watsen [mailto:[email-masked]]
> Sent: Tuesday, August 30, 2016 9:56 PM
> To: Warren Kumari; Eliot Lear
> But I wonder then, if they are temporary and reclaimed, will Elliot’s goal
> be achieved?  - or is it the case that the temporary assignments can become
> permanent through the RFC process? - an optimistic long-term allocation?
> 
> Thanks,
> Kent
> 
> 
> and yet
>     > To: Kent Watsen <[email-masked]>, Zhoutianran
> who
> especially
> WG
> from